PPA SET(1)

NAME
ppa set - Applies one or more configuration changes to the PPA

SYNOPSIS
ppa create [-h | --help] [-a | --architectures] [--all-arches | --all-architectures] [--default-architectures] [--displayname] [--ppa-dependencies] [--pocket] [-P | --private] [--public] [--publish] [--no-publish] <ppa-name>

DESCRIPTION
The ppa set command modifies the configuration of a registered Personal Package Archive (PPA) in Launchpad.

Most of the settings that are configurable from the Launchpad website can be specified as arguments to this command, with the intent to make it straightforward to make these changes via the command line. These configured parameters can alternatively be set when creating the PPA, using the ppa create(1) command, if desired.

OPTIONS

The following options are used by the ppa set command.

-a | --architectures
    A comma-separated list of hardware architectures to use. This can be used to reduce the number of architectures in order to minimize build and/or test time (by excluding slower architectures), or to opt-in to special alternative architectures (which may require special authorization by Launchpad's administrators).

--all-arches | --all-architectures
    Enable all architectures generally available to Launchpad PPAs. The ppa create command already enables all architectures if no other architectural parameters are specified, so this option is not generally needed. However, if the architectures setting is set in the global config file to a subset of architectures, this option can be used to override it.

--default-architectures
    Enable only the standard architectures that the Launchpad website sets by default for new PPAs. Generally this corresponds to a minimal set of the most common architecture(s).

--displayname
    A short title for the PPA's web page on Launchpad.

--ppa-dependencies <ppa-1[,ppa-2[,...]]>
    The set of other PPAs this PPA should use for satisfying build dependencies. The ppa names should be listed without the 'ppa:' prefix. For instance:
        $ ppa set --ppa-dependencies ateam/ppa-1,ateam/ppa-2 ppa:me/myppa

--pocket
    Controls how the Launchpad builders satisfy dependencies from the Ubuntu primary archive when building packages uploaded to the PPA. These packages are placed into groupings called 'pockets'. Pockets allow users to balance their risk exposure to software defects against the extent of updates they gain when updating their system, by individually selecting which pockets to allow.

    For PPAs, this works a bit differently: rather than picking individual pockets, Launchpad allows PPAs to select between five different configuration levels, each defining a specific sets of pockets. The --pocket option allows specifying which level to use:

    release
        This allows taking build dependencies ONLY from the versions of packages in the given Ubuntu series release (up to its most recent point release). Corresponds to "Basic (only released packages)" in the Launchpad +edit-dependencies web page.

    security
        Package updates from both release and also the incremental critical fixes for security issues are used for build dependencies. Corresponds to "Security (basic dependencies and important security updates)" in the Launchpad +edit-dependencies web page.

    updates
        In addition to the security updates on top of the basic release packages, this also includes all the usual stability updates, including general bug fixes as well as selected backports of upstream microreleases where deemed adequately safe. This is the default update configuration for a standard Ubuntu installation, and thus is also the standard default configuration of PPAs. Corresponds to "Default (security dependencies and recommended updates)" in the Launchpad +edit-dependencies web page.

    proposed
        The -proposed pocket carries newly introduced fixes and improvements on top of the release + security + updates configuration. The package updates in this pocket are generally intended to move to the -updates pocket once they've been adequately reviewed and tested. Corresponds to "Proposed (default dependencies and proposed updates)" in the Launchpad +edit-dependencies web page.

        Enabling this is strongly recommended for PPAs containing packages intended for being uploaded to the Ubuntu development series.

    backports
        This enables the -backports pocket, which contains new major releases of software and the new features (and bugs!) that come with them, on top of the release + security + updates configuration. Notably, this does not include the -proposed. Corresponds to "Backports (default dependencies and unsupported updates)" in the Launchpad +edit-dependencies web page.

        This is not recommended to be enabled for primary archive distro packaging work, except for updates intended for inclusion in the -backports pocket.

-P | --private
    Restrict access to the PPA to its owner and subscribers. This can only be changed if the archive has never had any sources published and the owner/group has permission to do so.

    Note that Autopkgtest cannot run against private PPAs, so the ppa tests command cannot be used with them.

--public
    Allow access to the PPA to anyone, thereby reversing the --private setting where Launchpad permits. This is the default for new PPAs.

--publish
    Allow built packages in the PPA to be made available for download. This is the default for new PPAs, and reverses the --no-publish setting.

--no-publish
    Do not make packages in the PPA available for public download. They will still be built, however, but Autopkgtests will not be runnable against them.

REPORTING BUGS
Report bugs at https://bugs.launchpad.net/ppa-dev-tools .

SEE ALSO
ppa-dev-tools(1), ppa-create(1), ppa-destroy(1).

PPA
Part of the ppa-dev-tools(1) suite.

SEE ALSO
ppa-dev-tools(1)

PPA
Part of the ppa-dev-tools(1) suite.